function getlandolt, rai, deci, radius, count=count

  ; gets landolt stars around a position.
  ; (as opposed to readlandolt, which gets all of them.)

  ra = rai
  dec = deci

  if size(ra, /tn) eq 'STRING' then ra = ten(ra)*15.
  if size(dec, /tn) eq 'STRING' then dec = ten(dec)

  landolt = readlandolt()
  dist = fltarr(n_elements(landolt))

  cosdec = cos(!pi*dec/180.)
  distance = fltarr(n_elements(landolt))
  for l = 0, n_elements(landolt)-1 do begin
      dist = 3600*( abs(ra-landolt[l].ra)*cosdec + abs(dec-landolt[l].dec))  ; approximate fine for now
      if dist lt 3600. then begin
         gcirc, 2, ra, dec, landolt[l].ra, landolt[l].dec, dist
      endif
      distance[l] = dist
  endfor

  w = where(distance lt radius, count)

  if count eq 0 then return, -1

  return, landolt[w]

end

