function readzptfile, filename, count=ct

     count = 0
     if file_test(filename) eq 0 then begin
       print, filename, ' not found.'
       return, -1
     endif
     n = countlines(filename)
     zptdata = replicate({cam:'', ver:'', dich:'', filt:'', zpt:0., zptunc:0., airterm:0., airtermunc:0., nstar:0, zptrad:0.}, n)
     openr, 1, filename
     inline = ''
     i = 0
     while not eof(1) do begin
        readf, 1, inline
        inline = clip(inline)
        inline = (strsplit(inline,'#',/extract)) [0]
        inarr = strsplit(inline, /extract)
        if n_elements(inarr) lt 3 then continue
        inarr[0] = repstr(inarr[0],'LRIS-','')
        zptdata[i].cam = strmid(inarr[0],0,1)
        if strlen(inarr[0]) gt 1 then zptdata[i].ver = strmid(inarr[0],1,1) else zptdata[i].ver = ''
        zptdata[i].dich = inarr[1]
        zptdata[i].filt = inarr[2]
        zptdata[i].zpt = float(inarr[4])
        zptdata[i].zptunc = float(repstr(repstr(repstr(inarr[5],')',''),'(',''),'-','0'))
        zptdata[i].airterm = float(inarr[6])
        zptdata[i].airtermunc = float(repstr(repstr(repstr(inarr[7],')',''),'(',''),'-','0'))
        zptdata[i].nstar = fix(inarr[8])
        zptdata[i].zptrad = float(repstr(repstr(inarr[9],']',''),'[',''))
        i += 1
     endwhile
     close, 1
     count = i
     if count gt 0 then begin
        zptdata = zptdata[0:count-1] 
     endif else begin 
        zptdata = zptdata[0] ; return a blank structure
     endelse

     return, zptdata
end

