function wincontain, wincheck, winreference

   ; Check if the window specified by wincheck is contained within that of winreference.
   ; Can check multiple winchecks in a winreference, or a single wincheck in many potential winreferences.

   outarr = intarr(n_elements(wincheck) > n_elements(winreference))

   if n_elements(wincheck) gt 1 then begin
      winrefarr = fix(strsplit(winreference,',',/extract))
      if n_elements(winrefarr) eq 5 then winrefarr = winrefarr[1:4]

      for w = 0, n_elements(wincheck)-1 do begin
         wincheckarr = fix(strsplit(wincheck[w],',',/extract))
         if n_elements(wincheckarr) eq 5 then wincheckarr = wincheckarr[1:4]
         if (wincheckarr[0] ge winrefarr[0]) and (wincheckarr[1] ge winrefarr[1]) and $
            (wincheckarr[0]+wincheckarr[2] le winrefarr[0]+winrefarr[2]) and $
            (wincheckarr[1]+wincheckarr[3] le winrefarr[1]+winrefarr[3]) then $
            outarr[w] = 1 else $
            outarr[w] = 0
      endfor
   endif else begin
      wincheckarr = fix(strsplit(wincheck,',',/extract))
      if n_elements(wincheckarr) eq 5 then wincheckarr = wincheckarr[1:4]
      for w = 0, n_elements(winreference)-1 do begin
         winrefarr = fix(strsplit(winreference[w],',',/extract))
         if n_elements(winreferencearr) eq 5 then winreferencearr = winreferencearr[1:4]
         if (wincheckarr[0] ge winrefarr[0]) and (wincheckarr[1] ge winrefarr[1]) and $
            (wincheckarr[0]+wincheckarr[2] le winrefarr[0]+winrefarr[2]) and $
            (wincheckarr[1]+wincheckarr[3] le winrefarr[1]+winrefarr[3]) then $
            outarr[w] = 1 else $
            outarr[w] = 0
      endfor
   endelse

   if n_elements(outarr) eq 1 then return, outarr[0]
   return, outarr

end

